import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listMoments(query) {
  return request({
    url: '/system/moments/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getMoments(id) {
  return request({
    url: '/system/moments/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addMoments(data) {
  return request({
    url: '/system/moments',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateMoments(data) {
  return request({
    url: '/system/moments',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delMoments(id) {
  return request({
    url: '/system/moments/' + id,
    method: 'delete'
  })
}
